<!DOCTYPE html>

<html>
<head>
<title>Home</title>
<meta charset="utf-8"/>
<link rel="stylesheet" type="text/css" href="style.css" />
<script src="shared.js"></script>
<script src="home.js"></script>
</head>
<body onload="init();">

<fieldset>
<legend id="system">System</legend>
<div><label>Name: </label><span id="name">?</span></div>
<div><label>Modell: </label><span id="model">?</span></div>
<div><label>MAC-Adresse: </label><span id="mac">?</span></div>
<div><label>Bekannte Knoten: </label><span id="node_count">?</span></div>
<div><label>Nachbarknoten: </label><span id="neigh_count">?</span></div>
<div><label>Gateway: </label><span id="vpn_server">?</span></div>
<div><label>IP Version: </label><span id="ip_version">?</span></div>
<div><label>Laufzeit: </label><span id="uptime">?</span></div>
<div><label>CPU: </label><span id="load">?</span></div>
<div><label>RAM: </label><span id="memory_usage">?</span></div>
<div><label>Flash: </label><span id="rootfs_usage">?</span></div>
<div><label>System: </label><span id="uname">?</span></div>
<div><label>Uhrzeit: </label><span id="date">?</span></div>
</fieldset>

<fieldset>
<legend id="freifunk">Netz: Freifunk</legend>
<div><label>Nutzer: </label><span id="freifunk_user_count">?</span></div>
<div><label>Übertragen: </label><span id="freifunk_rx_data">?</span>↓ <span id="freifunk_tx_data">?</span>↑</div>
<div><label>Geschwindigkeit: </label><span id="freifunk_rx_speed">?</span>↓ <span id="freifunk_tx_speed">?</span>↑</div>
<div><label>IPv4 Adressen: </label><span id="freifunk_addr4">?</span></div>
<div><label>IPv6 Adressen: </label><span id="freifunk_addr6">?</span></div>
</fieldset>

<fieldset>
<legend id="lan">Netz: LAN</legend>
<div><label>Nutzer: </label><span id="lan_user_count">?</span></div>
<div><label>Übertragen: </label><span id="lan_rx_data">?</span>↓ <span id="lan_tx_data">?</span>↑</div>
<div><label>Geschwindigkeit: </label><span id="lan_rx_speed">?</span>↓ <span id="lan_tx_speed">?</span>↑</div>
<div><label>IPv4 Adressen: </label><span id="lan_addr4">?</span></div>
<div><label>IPv6 Adressen: </label><span id="lan_addr6">?</span></div>
</fieldset>

<fieldset>
<legend id="wan">Netz: WAN</legend>
<div><label>Internet Vorhanden: </label><span id="has_internet">?</span></div>
<div><label>Übertragen: </label><span id="wan_rx_data">?</span>↓ <span id="wan_tx_data">?</span>↑</div>
<div><label>Geschwindigkeit: </label><span id="wan_rx_speed">?</span>↓ <span id="wan_tx_speed">?</span>↑</div>
<div><label>IPv4 Adressen: </label><span id="wan_addr4">?</span></div>
<div><label>IPv6 Adressen: </label><span id="wan_addr6">?</span></div>
</fieldset>

<fieldset>
<legend id="software">Software</legend>
<div><label>Firmware Version: </label><span id="firmware_version">?</span></div>
<div><label>LEDE Version: </label><span id="lede_version">?</span></div>
<div><label>Batman-Adv Version: </label><span id="batman_version">?</span></div>
<div><label>Fastd Version: </label><span id="fastd_version">?</span></div>
</fieldset>

</body>
</html>
